Subject: [IPsec] Issue #44: Remove IPv6 NBNS

From: Yaron Sheffer <[email-masked]>
Date: Tue, 3 Mar 2009 20:18:03 +0200

Sec. 3.15.1: o INTERNAL_IP6_NBNS - {{ Clarif-6.6 }} NetBIOS is not defined for IPv6; therefore, INTERNAL_IP6_NBNS is also unspecified and is only retained for compatibility with RFC 4306<http://tools.ietf.org/html/rfc4306>.

I think there is no point of keeping the 'compatibility with RFC 4306<http://tools.ietf.org/html/rfc4306>' for feature that cannot be used. I would simply remove the whole INTERNAL_IP6_NBNS and mark it RESERVED.

Paul: Not done. This should be discussed on the mailing list.
Yaron: I support Tero on this. Input from IPv6 implementors would be most useful.

---

From: <[email-masked]>
Date: Tue, 10 Mar 2009 14:24:43 +0100

I agree with Tero here; if NBNS for IPv6 is not even defined, and nobody could have implemented this part of RFC 4306, then just removing the whole attribute (and marking the number RESERVED) sounds like a good way forward.

Best regards,
Pasi

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Yaron Sheffer
Sent: 03 March, 2009 20:18
To: [email-masked]
Subject: [IPsec] Issue #44: Remove IPv6 NBNS